---
title: "Retrieve GL Document rows By Code"
slug: "retrieve-gl-document-rows-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-gl-document-rows-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve GL Document rows By Code

Get/glrestapi/rest/v1/gldocrows

## Query Standards

| Key | Recommended | Description |
| --- | --- | --- |
| finder | Yes | Filters data based on attributes |
| limit | Yes | No. of items to return |
| offset | Yes | item index |
| totalResults | Yes | Returns total number of items |
| orderBy | Yes | Returns list of items order by given attribute |

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Doc Row
- By UUID

#### Select Document Row

This is the recommended finder for querying Document Rows by Document Code

| Parameter | Description | Sample |
| --- | --- | --- |
| documentCode | Document Code | BALANCE |

#### By UUID

This is an optional finder for querying a specific Department by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /glrestapi/rest/v1/gldocrows/EA02BA00F5B18811E053B08610ACE770 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectDocRows;documentCode=BALANCE
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleDapSeqNum:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='096a10fa-0156-4649-8812-dac3efdd3a29'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0e5f0014-5f48-4fd2-8972-6a7edd79f7c0'>example-0</option>
<option value='234f6075-fdcd-4c55-ae36-6b8f673a5371'>example-1</option>
</select>example-0

Successful Response

```json
{
  "items": [
    {
      "DapSeqNum": 100,
      "DapLineName": "Range",
      "DapLineCode": "R",
      "DapPrintCode": "Y",
      "DapRevCode": "N",
      "DapStoreCode": null,
      "DapTotal1Code": null,
      "DapTotal2Code": null,
      "DapTotalNum": null,
      "DapStartAccCode": null,
      "DapStartAccSeq": null,
      "DapEndAccCode": null,
      "DapEndAccSeq": null,
      "DapDocName": "Balance Sheet - Consolidated",
      "DapDocCode": "BALANCE",
      "DapDesc": "ASSETS",
      "DapCon2Code": null,
      "DapCon2Name": null,
      "DapVUuid": "EA02BA020ADA8811E053B08610ACE770",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA020ADA8811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA020ADA8811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        }
      ]
    },
    {
      "DapSeqNum": 920,
      "DapLineName": "Range",
      "DapLineCode": "R",
      "DapPrintCode": "Y",
      "DapRevCode": "N",
      "DapStoreCode": null,
      "DapTotal1Code": null,
      "DapTotal2Code": null,
      "DapTotalNum": null,
      "DapStartAccCode": "40001",
      "DapStartAccSeq": null,
      "DapEndAccCode": "99999",
      "DapEndAccSeq": null,
      "DapDocName": "Balance Sheet - Consolidated",
      "DapDocCode": "BALANCE",
      "DapDesc": "Profit / (Loss)",
      "DapCon2Code": null,
      "DapCon2Name": null,
      "DapVUuid": "EA02BA025A838811E053B08610ACE770",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA025A838811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA025A838811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 101,
  "count": 2,
  "hasMore": true,
  "limit": 2,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows",
      "name": "gldocrows",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response

```json
{
  "items": [
    {
      "DapSeqNum": 100,
      "DapLineName": "Range",
      "DapLineCode": "R",
      "DapPrintCode": "Y",
      "DapRevCode": "N",
      "DapStoreCode": null,
      "DapTotal1Code": null,
      "DapTotal2Code": null,
      "DapTotalNum": null,
      "DapStartAccCode": null,
      "DapStartAccSeq": null,
      "DapEndAccCode": null,
      "DapEndAccSeq": null,
      "DapDocName": "Balance Sheet - Consolidated",
      "DapDocCode": "BALANCE",
      "DapDesc": "ASSETS",
      "DapCon2Code": null,
      "DapCon2Name": null,
      "DapVUuid": "EA02BA020ADA8811E053B08610ACE770",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA020ADA8811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA020ADA8811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        }
      ]
    },
    {
      "DapSeqNum": 920,
      "DapLineName": "Range",
      "DapLineCode": "R",
      "DapPrintCode": "Y",
      "DapRevCode": "N",
      "DapStoreCode": null,
      "DapTotal1Code": null,
      "DapTotal2Code": null,
      "DapTotalNum": null,
      "DapStartAccCode": "40001",
      "DapStartAccSeq": null,
      "DapEndAccCode": "99999",
      "DapEndAccSeq": null,
      "DapDocName": "Balance Sheet - Consolidated",
      "DapDocCode": "BALANCE",
      "DapDesc": "Profit / (Loss)",
      "DapCon2Code": null,
      "DapCon2Name": null,
      "DapVUuid": "EA02BA025A838811E053B08610ACE770",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA025A838811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows/EA02BA025A838811E053B08610ACE770",
          "name": "gldocrows",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 101,
  "count": 2,
  "hasMore": true,
  "limit": 2,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/glrestapi/rest/v1/gldocrows",
      "name": "gldocrows",
      "kind": "collection"
    }
  ]
}
```

object
